/*

16px = 1rem
18px = 1.125rem
20px = 1.25rem
22px = 1.375rem
24px = 1.5rem
26px = 1.625rem
28px = 1.75rem
30px = 1.875rem
32px = 2rem

sm (small devices)
@media (max-width: 575px) {}
@media (min-width: 576px) {}

md (medium devices)
@media (max-width: 767px) {}
@media (min-width: 768px) {}

lg (large devices)
@media (max-width: 991px) {}
@media (min-width: 992px) {}

xl (extra large devices)
@media (max-width: 1199px) {}
@media (min-width: 1200px) {}

*/

.container {
    max-width: 1310px;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    font-weight: 300;
    font-style: normal;
    font-size: 1.2rem;
    line-height: 1.6;
    color:#252525;
    background-color: #fff;
}

h1, h2, h3, h4, h5, h6 {
    margin-bottom: 1rem;
    font-weight: 700;
    font-style: normal;
    line-height: 1.2;
}

h1 {
    font-size: 2.2rem;
    text-transform:uppercase;
}
h2 {
    font-size: 1.8rem;
}
h3 {
    font-size: 1.4rem;
}
h4 {
    font-size: 1.2rem;
}
p {
    margin-bottom: 1.5rem;
}
a {
    color: #1ea3aa;
    text-decoration:none;
}
a:hover {
    color: #1ea3aa;
    text-decoration: underline;
}
td.noWrap {
    white-space: nowrap;
}
td.maxWidth {
    width: 100%;
}
td.alignRight{
    text-align:right;
}
.hidden{
    display:none;
}

/* Bootstrap Extension - Reset Content Image Sizes */
@media (max-width: 991px) {
    .img-fluid {
        width: auto !important;
        height: auto !important;
    }
}

/* Input */
table.form-control {
    height: calc(100% - 10px)
}
table.form-control td label,
input[type=checkbox] + label,
input[type=radio] + label {
    margin-left: 4px;
    margin-right: 10px;
}
span.form-control label {
    margin-left: 4px;
}
.required-field {
    display: none;
}
.inputErr {
    background-color: #ffe5e5;
}
span.inputErr {
    padding: 4px;
}
table.inputErr td {
    padding-left: 10px;
    padding-right: 10px;
    color: #252525;
}
table.inputErr{
    margin-bottom:15px;
}
.RadPicker.inputErr .riTextBox {
    background-color: #ffe5e5
}

.btn.submit-loader {
    color: transparent;
    background: #fff url(/images/submit-loader.gif) center center no-repeat;
}

/* buttons */
.btn-primary {
    background-color: #1ea3aa;
    border-color: #1ea3aa;
}
.btn-primary:hover,
.btn-primary.active,
.btn-primary:focus {
    background-color: #fff !important;
    border-color: #1ea3aa !important;
    color: #1ea3aa !important;
    text-decoration:none;
}

.btn-primary.aspNetDisabled {
    background-color: #ccc;
    border-color: #ccc;
}
.btn-primary.aspNetDisabled:hover,
.btn-primary.aspNetDisabled.active,
.btn-primary.aspNetDisabled:focus {
    background-color: #ccc !important;
    border-color: #ccc !important;
    color: #fff !important;
}
.btn.aspNetDisabled.submit-loader {
    background-color: #ccc !important;
    border-color: #ccc !important;
    color: #fff !important;
    background: none;
}
/* Nav */
#nav {
    background-color: #f8ea00;
    width: 100%;
    transition: all ease-in 250ms;
}

/* Visual */
#visual {
    height: 30vh;
}
body.home #visual {
    height: CALC(100vh - 72px);
}
#visual .container.payoff {
    height: CALC(100%);
    max-height: -webkit-fill-available;
}
#visual .row.payoff {
    height: CALC(100%);
}
#visual .col-md-12.payoff {
    margin-top: 108px;
    height: CALC(80% - 108px);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-shadow: 4px 4px 10px #000000;
    z-index:2;
}

#visual .col-md-12.payoff .payoff-main {
    text-transform: uppercase;
    font-size: 4rem;
    line-height:1.2;
    font-weight: bold;
    color:#fff;
}
#visual .col-md-12.payoff .payoff-sub {
    text-transform: uppercase;
    font-size: 10rem;
    color: #fff;
}
#visual .overlay {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: black;
    opacity: 0.4;
    z-index: 1;
}

/* User */
#user {
    position: fixed;
    top: 20px;
    right:0;
    z-index: 999;
    text-align: right;
    transition: all ease-in 250ms;
    z-index:99999;
}
body.scroll #user {
    position: fixed;
    padding-top: 4px;
    padding-bottom: 4px;
    width: 100%;
    top: 0;
    background-color: #f8ea00;
}
body.fancybox-active #user{
    display:none;
}
#user a {
    color: #000;
}
#user a:hover {
    color: #1ba6ae;
    text-decoration: none;
}

body.scroll #user a .text {
    display: inline-block;
}
@media (max-width: 991px) {
    #user a .text {
        display: none;
    }
}

/* Main */
main {
    margin-top: 40px;
}

/* dashboard */
.dashboard-icon {
    position: relative;
    float: left;
    text-align: center;
    border: #ccc 1px solid;
    padding: 20px;
    margin-left: 15px;
    margin-right: 15px;
    margin-bottom: 30px;
    width: CALC(50% - 30px);
    -moz-transition: all 200ms ease-in;
    -ms-transition: all 200ms ease-in;
    -o-transition: all 200ms ease-in;
    transition: all 200ms ease-in;
}
.dashboard-icon .icon-icon {
    font-size: 4rem;
}
.dashboard-icon .icon-title {
    clear: left;
    margin-top: 10px;
}
.dashboard-icon:hover {
    color: #252525;
    text-decoration: none;
    -moz-transform: scale(1.03);
    -webkit-transform: scale(1.03);
    -o-transform: scale(1.03);
    -ms-transform: scale(1.03);
    transform: scale(1.03);
    -webkit-transition: all 200ms ease-in;
    -moz-transition: all 200ms ease-in;
    -ms-transition: all 200ms ease-in;
    -o-transition: all 200ms ease-in;
    transition: all 200ms ease-in;
}
.dashboard-icon .icon-count {
    position: absolute;
    right: -10px;
    top: -10px;
    width: 30px;
    height: auto;
    font-size: 1.2rem;
    color: #fff;
    background-color: #f00;
    border-radius: 50%;
    -webkit-box-shadow: 1px 1px 1px 1px rgba(0,0,0,0.3);
    box-shadow: 1px 1px 1px 1px rgba(0,0,0,0.3);
    -webkit-transition: all 200ms ease-in;
    -moz-transition: all 200ms ease-in;
    -ms-transition: all 200ms ease-in;
    -o-transition: all 200ms ease-in;
    transition: all 200ms ease-in;
}
.dashboard-icon:hover .icon-count {
    -webkit-box-shadow: 2px 2px 1px 1px rgba(0,0,0,0.3);
    box-shadow: 2px 2px 1px 1px rgba(0,0,0,0.3);
    -moz-transform: scale(1.5) rotate(10deg);
    -webkit-transform: scale(1.5) rotate(10deg);
    -o-transform: scale(1.5) rotate(10deg);
    -ms-transform: scale(1.5) rotate(10deg);
    transform: scale(1.5) rotate(10deg);
    -webkit-transition: all 200ms ease-in;
    -moz-transition: all 200ms ease-in;
    -ms-transition: all 200ms ease-in;
    -o-transition: all 200ms ease-in;
    transition: all 200ms ease-in;
}

#toolbox .icon,
#LMRA .icon,
#WPI .icon{
    font-size: 2rem;
    color: #1ea3aa;
}
#LMRA .icon.active.red{
    color:#f00;
}
#LMRA .icon.active.green {
    color:#a1c838;
}
#LMRA h4,
#WPI h4,
#MOS h4 {
    margin-bottom: 0.5rem;
}
#LMRA .thumb,
#MOS .thumb {
    float: left;
    height: 100px;
    padding: 10px;
}
#MOS .thumb-wrapper{
    position:relative;
    display:inline-block;
}
#MOS .thumb-wrapper .icon {
    position: absolute;
    left: 15px;
    top: 10px;
    color: #fff;
    text-shadow: 2px 2px 2px #000000;
}
#WPI h3 {
    padding:4px 8px 4px 8px;
    background-color: #252525;
    color:#fff;
}

/*#timesheet h3{
    border-bottom:1px solid #ccc;
}*/



/* Footer */
footer {
    margin-top: 40px;
    padding-top: 20px;
    padding-bottom: 20px;
    background-color: #252525;
    color: #fff;
    font-size: 1rem;
}
    footer .col-md-12 {
        display: flex;
        align-items: flex-end
    }
footer .icon{
    float:left;
    height:80px;
    margin-right:20px;
}

/* Cookie Alert */
#cookie-alert {
    position: fixed;
    bottom: 0;
    width: 100%;
    height: auto;
    border-top: 1px solid #ccc;
    padding: 20px;
    z-index: 99999;
    background-color: #fff;
    text-align: center;
}

/* Pagination */
.pagination .page-item .page-link {
    color: #666;
    background-color: #fff;
    border-color: #ccc;
}
.pagination .page-item .page-link:hover {
    color: #fff;
    background-color: #1ba6ae;
    border-color: #ccc;
}
.pagination .page-item.disabled .page-link {
    color: #ccc;
}
.pagination .page-item.active .page-link {
    color: #fff;
    background-color: #1ba6ae;
    border-color: #ccc;
}

/* Berichten */
#message div.new-message{
    display:none;
}
#message #charCnt{
    font-size:smaller;
}
#message .message-sender,
#message .message-buttons,
#message .message-attachment,
#message .add-attachment {
    font-size: smaller;
}
#message .message-attachment a{
    display:block;
}
#message div.add-attachment {
    display: none;
}
#message div.add-attachment .border{
    border:1px solid #fff;
    padding:15px;
    margin-bottom:15px;
}
#message .ruUploadProgress, #message .ruRemove{
    color:#fff;
}
#lnkMessageYes {
    position: relative;
}
.message-count {
    position: absolute;
    right: -2px;
    top: -10px;
    width: 20px;
    height: auto;
    text-align:center;
    line-height:normal;
    font-size: 0.8rem;
    color: #fff;
    background-color: #f00;
    border-radius: 50%;
    -webkit-box-shadow: 1px 1px 1px 1px rgba(0,0,0,0.3);
    box-shadow: 1px 1px 1px 1px rgba(0,0,0,0.3);
}

/* class for password */
.red {
    color: #f00;
}
.grey {
    color: #ccc;
}
.green {
    color: #a1c838;
}
span.input-group-text {
    height: calc(1.5em + .75rem + 2px);
    width:42px;
}

#loader {
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background: url('/images/ajax-loader.gif') center center no-repeat rgba(0,0,0,0.9);
}